Subject: Re: [PATCH 2/2] make the ST_{C,M}TIME_NSEC macros more function like

From: Junio C Hamano <[email-masked]>
Date: Sun, 15 Mar 2009 13:01:20 -0700

Kjetil Barvik <[email-masked]> writes:

> Make the macros take a pointer to a 'struct stat'. This is so that it
> should be easier to understand what is going on, and that the macros
> can later be implemented as a inline function if we want to.
>
> Impact: cosmetic change

Hmm,...

I have to wonder if this cosmetic change is an improvement, though.

I do not have a strong feeling either way, but I think it makes it clear
that these two macros are not lvalues if you do not pass a pointer but
instead pass a structure.  An inline function can still take a structure
passed by value as an argument anyway, no?